{{- /* Reset CSS */ -}}
{{- $resetCSS := resources.Get "github.com/hankchizljaw/modern-css-reset/reset.css" -}}

{{- /* Every Layout CSS */ -}}
{{- $everyLayoutCSS := resources.Match "gitlab.com/goodimpact/every-layout-css/**/*.css" | resources.Concat "modules.css" -}}

{{- /* CSS of this Base structure module */ -}}
{{- $themeCSS := resources.Match "base-structure/css/*.css" | resources.Concat "base.css" -}}

{{- /* Bundle CSS */ -}}
{{- $cssBundleScratch := newScratch -}}
{{- $cssBundleScratch.Set "cssBundle" (slice $resetCSS $everyLayoutCSS $themeCSS) -}}

{{- /* Project CSS */ -}}
{{- $childCSS := resources.Match "css/*.css" -}}
{{- if $childCSS -}}
	{{- $childCSS := $childCSS | resources.Concat "child.css" -}}
	{{- $cssBundleScratch.Add "cssBundle" $childCSS -}}
{{- end -}}
{{- $cssBundle := $cssBundleScratch.Get "cssBundle" | resources.Concat "css/bundle.css" -}}

{{- /* CSS postCSS options: inline sourcemaps when not in production */ -}}
{{- $sourcemapsOps := dict "noMap" false -}}

{{- if hugo.IsProduction }}
	{{- $cssBundle = $cssBundle | postCSS | minify | fingerprint | resources.PostProcess -}}
{{- else -}}
	{{- $cssBundle = $cssBundle | postCSS $sourcemapsOps | fingerprint | resources.PostProcess -}}
{{- end -}}

{{- if .Param "activate_web_components" -}}
	<noscript>
		<style>
			*:not(:defined) {
				opacity: 1 !important;
			}
		</style>
	</noscript>
{{- end -}}


<link rel="stylesheet" href="{{ $cssBundle.RelPermalink }}" media="screen" />

{{- /* IE Only CSS */ -}}
{{- $ieCSS := resources.Get "base-structure/css/ie-only.css" -}}

{{ "<!--[if IE]>" | safeHTML }}
<link rel="stylesheet" type="text/css" href="{{ $ieCSS.RelPermalink }}" />
{{ "<![endif]-->" | safeHTML }}
